/**  
* <p>Title: CheckUtil.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年5月21日  
* @version 1.0  
*/
package cn.timer.api.utils;

import java.lang.reflect.Field;

/**
 * <p>
 * Title: CheckUtil.java
 * </p>
 * <p>
 * Description: 判断对象是否包含空值
 * </p>
 * 
 * @author dsc
 * @date 2020年5月21日
 * @version 1.0
 */
public class CheckUtil {

	public static boolean checkObjFieldIsNull(Object obj) {
		boolean flag = false;
		for (Field f : obj.getClass().getDeclaredFields()) {
			f.setAccessible(true);
			try {
				if (f.get(obj) == null) {
					flag = true;
					return flag;
				}
			} catch (IllegalArgumentException | IllegalAccessException e) {
				e.printStackTrace();
			}
		}
		return flag;
	}

}
